Name:           plexus-velocity
Version:        1.2
Release:        %mkrel 5
Group:          Development/Java
Summary:        Plexus Velocity Component
License:        ASL 2.0
URL:            https://codehaus-plexus.github.io/plexus-velocity/
BuildArch:      noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(velocity:velocity)

%description
This package provides Plexus Velocity component - a wrapper for
Apache Velocity template engine, which allows easy use of Velocity
by applications built on top of Plexus container.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find -name '*.jar' -delete

cp -p %{SOURCE1} LICENSE
# Make provided scope on plexus-containers
%pom_change_dep :plexus-container-default org.codehaus.plexus:plexus-container-default::provided

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.2-5.mga9
+ Revision: 1827495
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 1.2-4.mga8
+ Revision: 1617216
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1499269
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1274450
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 1.2-1.mga6
+ Revision: 1099610
- New version 1.2
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.1.8-21.mga6
+ Revision: 977769
- First rebuild of the java stack
- sync package plexus-velocity with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.8-16.mga5
+ Revision: 739411
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0:1.1.8-14.mga5
+ Revision: 670552
- clean packaging (from fedora)

* Wed Dec 25 2013 dmorgan <dmorgan> 0:1.1.8-13.mga4
+ Revision: 560707
- Migration to plexus-containers-container-default

* Fri Oct 18 2013 umeabot <umeabot> 0:1.1.8-12.mga4
+ Revision: 517635
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:1.1.8-11.mga3
+ Revision: 377929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 22 2011 dmorgan <dmorgan> 0:1.1.8-10.mga2
+ Revision: 186234
- Remove ant build
- Sync with fedora
- Migration to maven3
- Removal of plexus-maven-plugin (not needed)
- Minor spec file changes according to the latest guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1.8-8.mga1
+ Revision: 93033
- Rebuild after bootstrapping
- imported package plexus-velocity

